# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/lib/gforge/chroot/cvsroot/ebuild/korean/app-i18n/nabi-cvs/nabi-cvs-0.12.ebuild,v 1.1 2004/03/15 13:41:13 ganadist Exp $


inherit cvs

DESCRIPTION="Simple Hanguk X Input Method"
HOMEPAGE="http://nabi.kldp.net/"

ECVS_SERVER="cvs.kldp.net:/cvsroot/nabi"
ECVS_MODULE="nabi"
#ECVS_USER="anoncvs"
ECVS_TOP_DIR="${DISTDIR}/cvs-src/${PN}"

S=${WORKDIR}/${ECVS_MODULE}


LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86"

DEPEND=">=x11-libs/gtk+-2.2
	>= sys-devel/autoconf-2.58
	>= sys-devel/automake-1.7
	! app-i18n/nabi"

PROVIDE="app-i18n/nabi"

src_compile() {
	export WANT_AUTOCONF=2.5
	export WANT_AUTOMAKE=1.7
	./autogen.sh --help
	econf || die
	emake || die
}

src_install() {
	make DESTDIR=${D} install || die

	dodoc AUTHORS COPYING* ChangeLog README NEWS
}

pkg_postinst() {
	einfo "You MUST add environment variable...                           "
	einfo "                                                               "
	einfo "export XMODIFIERS=\"@im=nabi\"                                 "
	einfo "export XIM_PROGRAM=/usr/bin/nabi // for /xinit.xinitrx.d/xinput"
	einfo "                                                               "
}
