# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/lib/gforge/chroot/cvsroot/ebuild/korean/app-misc/mls/mls-0.1.ebuild,v 1.2 2004/05/17 13:51:57 ganadist Exp $

inherit flag-o-matic eutils

DESCRIPTION="Mdir clone for linux"
HOMEPAGE="http://kldp.net/projects/mls/"
SRC_URI="http://kldp.net/download.php/1195/${PN}-${PV}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86"

DEPEND="sys-libs/ncurses"

src_unpack() {
	unpack ${P}.tar.gz
	cd ${S}
}

src_compile() {

	econf \
	    ${myconf} || die

	emake || die
}

src_install() {
	einstall || die
	dodoc ChangeLog AUTHORS INSTALL* NEWS README*
	insinto /usr/share/mls
	doins mls.cfg mls.col
	exeinto /usr/bin
	doexe ${FILESDIR}/create_cfg
}
