# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/lib/gforge/chroot/cvsroot/ebuild/korean/net-misc/gtkcomm/gtkcomm-0.8.1.ebuild,v 1.1 2004/07/24 02:19:01 ganadist Exp $

DESCRIPTION="GTK+ Communication Program"
HOMEPAGE="http://gtkcomm.kldp.net/"
SRC_URI="http://download.kldp.net/gtkcomm/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
IUSE=""
KEYWORDS="~x86 ~ppc"

DEPEND=">=x11-libs/gtk+-2.2"

src_unpack() {
    unpack ${A}
    cd ${S}
    #fixes sandbox violations
    epatch ${FILESDIR}/${PN}-gtk24_make.patch
}
src_compile() {
	econf || die
	emake || die
}

src_install() {
	make DESTDIR=${D} install || die

	dodoc AUTHORS COPYING* ChangeLog README NEWS
}

