# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/lib/gforge/chroot/cvsroot/ebuild/korean/media-fonts/unfonts/unfonts-0.0.ebuild,v 1.1 2004/03/25 15:35:53 ganadist Exp $

IUSE="X truetype"

DESCRIPTION="Korean UnFonts"
UNFONTS="./UnBatang.ttf ./UnBatangBold.ttf
	./UnBom.ttf
	./UnDotum.ttf ./UnDotumBold.ttf
	./UnGraphic.ttf ./UnGungseo.ttf
	./UnPen.ttf ./UnPenheulim.ttf
	./UnPilgi.ttf ./UnPilgiBold.ttf
	./UnShinmun.ttf ./UnYetgul.ttf"
SRC_URI="${UNFONTS//\.\//http://chem.skku.ac.kr/~wkpark/project/font/UnFonts/}"
HOMEPAGE="http://chem.skku.ac.kr/~wkpark/project/font/UnFonts"

SLOT="0"
LICENSE="GPL"
KEYWORDS="~x86"

DEPEND="virtual/x11
	truetype? ( virtual/xft )"
RDEPEND="X? ( virtual/x11
	truetype? ( virtual/xft ) )"

S=${WORKDIR}/${P}
TTFONTDIR="/usr/share/fonts/ttf/korean/unfonts"

src_unpack () {
	mkdir ttf
    for x in ${UNFONTS}
    do
        if [ -f ${DISTDIR}/${x} ]
        then
            einfo "  ${x/\.\/}..."
            cp  ${DISTDIR}/${x} ttf> /dev/null || die
        fi
    done
}

src_install () {

	if [ -n "`use X`" ] ; then
		insinto ${TTFONTDIR}
		doins ${WORKDIR}/ttf/* || die
		fc-cache ${D}${TTFONTDIR}
	fi
}

